質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.01%

【AWS Cloud9・python3.6】pipのインストールエラー

解決済

回答 3

投稿

  • 評価
  • クリップ 0
  • VIEW 4,928

the-gen

score 4

 内容

※初心者です。初歩的なことかもしれませんがよろしくお願いします。

pipでモジュールのinstallを行う際に、突然以下の(エラー?)メッセージが出力されました。
("sudo pip-3.6 install stockstats(←モジュール名)" を実行しました。)
試しにターミナルで実行したところ、No module named "stockstats"
とあるので、おそらくインストールできていないと思われます。わかる方がおられましたらご教授願います。

 出力されたメッセージ

ec2-user:~/environment $ sudo pip-3.6 install stockstats
Traceback (most recent call last):
  File "/usr/local/lib/python3.6/site-packages/pkg_resources/__init__.py", line 666, in _build_master
    ws.require(__requires__)
  File "/usr/local/lib/python3.6/site-packages/pkg_resources/__init__.py", line 984, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/local/lib/python3.6/site-packages/pkg_resources/__init__.py", line 875, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.VersionConflict: (pip 9.0.3 (/usr/local/lib/python3.6/site-packages), Requirement.parse('pip==9.0.1'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/pip-3.6", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/local/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3147, in <module>
    @_call_aside
  File "/usr/local/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3131, in _call_aside
    f(*args, **kwargs)
  File "/usr/local/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3160, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/local/lib/python3.6/site-packages/pkg_resources/__init__.py", line 668, in _build_master
    return cls._build_from_requirements(__requires__)
  File "/usr/local/lib/python3.6/site-packages/pkg_resources/__init__.py", line 681, in _build_from_requirements
    dists = ws.resolve(reqs, Environment())
  File "/usr/local/lib/python3.6/site-packages/pkg_resources/__init__.py", line 870, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'pip==9.0.1' distribution was not found and is required by the application

 試したこと

"pip-3.6 show stockstats(モジュール名)"を実行してみても、↑のコードと同じメッセージが出力されます。

 補足情報(バージョンなど)

以下の通りです。
・AWS Cloud9
・python 3.6.2
・pip 9.0.3

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 3

check解決した方法

0

あれからいろいろ調べてみましたが、
「pkg_resources.DistributionNotFound: The 'pip==9.0.1' distribution was not found and is required by the application」
のメッセージが出力され続けるため、コードだけバックアップして一度初期化することにしました。
その後再度
「sudo pip-3.6 install ***」
で普通にモジュールをインストールできました。
(中身を変にいじりすぎていたのかもしれません…今となっては闇の中ですが)

ご回答していただいた方どうもありがとうございました。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

0

pipのバージョンを9.0.1み落とさないとダメ…?次の順で試してみてください。

sudo pip-3.6 install pip==9.0.1 --ignore-installed
sudo pip-3.6 install stockstats

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2018/04/02 20:52

    実行してみましたが、結果↓は変わりませんでした。
    ----------------------------------
    ec2-user:~/environment $ sudo pip-3.6 install pip==9.0.1 --ignore-installed
    Traceback (most recent call last):
    File "/usr/local/lib/python3.6/site-packages/pkg_resources/__init__.py", line 666, in _build_master
    ws.require(__requires__)
    File "/usr/local/lib/python3.6/site-packages/pkg_resources/__init__.py", line 984, in require
    needed = self.resolve(parse_requirements(requirements))
    File "/usr/local/lib/python3.6/site-packages/pkg_resources/__init__.py", line 875, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
    pkg_resources.VersionConflict: (pip 9.0.3 (/usr/local/lib/python3.6/site-packages), Requirement.parse('pip==9.0.1'))

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
    File "/usr/bin/pip-3.6", line 6, in <module>
    from pkg_resources import load_entry_point
    File "/usr/local/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3147, in <module>
    @_call_aside
    File "/usr/local/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3131, in _call_aside
    f(*args, **kwargs)
    File "/usr/local/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3160, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
    File "/usr/local/lib/python3.6/site-packages/pkg_resources/__init__.py", line 668, in _build_master
    return cls._build_from_requirements(__requires__)
    File "/usr/local/lib/python3.6/site-packages/pkg_resources/__init__.py", line 681, in _build_from_requirements
    dists = ws.resolve(reqs, Environment())
    File "/usr/local/lib/python3.6/site-packages/pkg_resources/__init__.py", line 870, in resolve
    raise DistributionNotFound(req, requirers)
    pkg_resources.DistributionNotFound: The 'pip==9.0.1' distribution was not found and is required by the application
    ----------------------------------
    During handling of the above exception, another exception occurred:
    ↑別の例外が発生したとあり、
    pkg_resources.DistributionNotFound: The 'pip==9.0.1' distribution was not found and is required by the application
    ↑pip==9.0.1が見つからない(?)とのコメントがあります。これを読むと、なおさら回答者さんの回答で解決するのでは・・・?と思考が循環しております...

    キャンセル

0

pipはpythonに紐づいていないようで、以下をDownloadし、python get-pip.pyを実行る。

https://bootstrap.pypa.io/get-pip.py

ご参考https://pip.pypa.io/en/stable/installing/

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2018/04/09 23:28

    (自己解決メッセ投稿後に拝見しました…)
    一度初期化したら無事インストールできるようになりました。

    貴重なご意見ありがとうございました(^^!

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 90.01%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる